<?php

defined('ABSPATH') || exit;
###########################################


/**
 * 用户登录注册页面模板
 */


if (is_user_logged_in()) {
    wp_safe_redirect(get_uc_menu_link());exit;
}


$is_login_action   = (get_query_var('uc-login-page') == 1) ? true : false;
$is_reg_action     = (get_query_var('uc-register-page') == 1) ? true : false;
$is_lostpwd_action = (get_query_var('uc-lostpwd-page') == 1) ? true : false;

if ($is_login_action && !is_site_user_login()) {
    zb_wp_die(__('本站登录功能暂时关闭', 'ripro'), __('本站登录功能暂时关闭', 'ripro'), home_url(), __('返回首页', 'ripro'));
} elseif ($is_reg_action && !is_site_user_register()) {
    zb_wp_die(__('本站注册功能暂时关闭', 'ripro'), __('本站注册功能暂时关闭', 'ripro'), home_url(), __('返回首页', 'ripro'));
}

?>

<!DOCTYPE html>
<html <?php language_attributes();?> data-bs-theme="<?php echo get_site_default_color_style();?>">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php bloginfo('charset');?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head();?>
</head>

<body>


<!-- **************** MAIN CONTENT START **************** -->
<main>


<?php

$args = [
	'bg_type'=> _cao('site_loginpage_bg_type','img'),
	'bg_img'=> _cao('site_loginpage_bg_img',get_template_directory_uri() . '/assets/img/bg.jpg'),
	'color'=> _cao('site_loginpage_color',array('bgcolor'=>'#005588','color'=>'#ededed')),
];

if ($args['bg_type']=='img') {
	$classex = 'bg-type-'.$args['bg_type'].' lazy';
}else{
	$classex = 'bg-type-'.$args['bg_type'];

	// $args['color']['color']
	// $args['color']['bgcolor']
	// 0x#035abe

	$vantas = [

		'waves' => [
			'fun'=>'WAVES',
			'opt'=> [
				'el' => '.login-and-register',
				'mouseControls' => true,
				'touchControls' => true,
				'gyroControls' => false,
				'minHeight' => 200.00,
				'minWidth' => 200.00,
				'scale' => 1.00,
				'scaleMobile' => 1.00,
				'color' => $args['color']['bgcolor'],
			],
		],
		'clouds' => [
			'fun'=>'CLOUDS',
			'opt'=> [
				'el' => '.login-and-register',
				'mouseControls' => true,
				'touchControls' => true,
				'gyroControls' => false,
				'minHeight' => 200.00,
				'minWidth' => 200.00,
				'skyColor' => $args['color']['bgcolor'],
				'cloudColor' => $args['color']['color'],
			],
		],
		'net' => [
			'fun'=>'NET',
			'opt'=> [
				'el' => '.login-and-register',
				'mouseControls' => true,
				'touchControls' => true,
				'gyroControls' => false,
				'minHeight' => 200.00,
				'minWidth' => 200.00,
				'scale' => 1.00,
				'scaleMobile' => 1.00,
				'backgroundColor' => $args['color']['bgcolor'],
				'color' => $args['color']['color'],
			],
		],
		'halo' => [
			'fun'=>'HALO',
			'opt'=> [
				'el' => '.login-and-register',
				'mouseControls' => true,
				'touchControls' => true,
				'gyroControls' => false,
				'minHeight' => 200.00,
				'minWidth' => 200.00,
				'backgroundColor' => $args['color']['bgcolor'],
			],
		],
	];

	$vanta = $vantas[$args['bg_type']];

}



?>


<div class="login-and-register <?php echo $classex;?>" data-bg="<?php echo esc_url($args['bg_img']); ?>">
	<div class="container h-100 d-flex px-0 px-sm-4">
		<div class="row justify-content-center align-items-center m-auto">
			<div class="col-12">
				<div class="bg-white shadow rounded-3 overflow-hidden my-4">
					<div class="p-4 p-lg-5 py-2 py-md-4 text-center">
						<!-- Logo -->
						<a class="text-center" href="<?php echo esc_url( home_url() );?>">
							<img class="logo regular mb-2" src="<?php echo esc_url( _cao('site_logo','') );?>" alt="<?php echo get_bloginfo( 'name' );?>">
						</a>

						<!-- Form START -->
						<form id="account-from" class="text-start account-from">

							
							<?php if ($is_login_action) :?>
							<!-- 登录表单 -->
							<div class="mb-3">
								<label class="form-label"><?php _e('邮箱或用户名', 'ripro'); ?></label>
								<input type="text" class="form-control" name="user_name">
							</div>
							<div class="mb-3">
								<label class="form-label"><?php _e('密码', 'ripro'); ?><a class="ms-2 small text-muted" href="<?php echo esc_url( wp_lostpassword_url()); ?>"><?php _e('忘记密码？', 'ripro'); ?></a></label>
								<input class="form-control" type="password" name="user_password">
							</div>

							<?php if (is_site_img_captcha()):?>
							<div class="input-group mb-3">
					          <input type="text" class="form-control rounded-2" name="captcha_code" placeholder="<?php _e('验证码', 'ripro'); ?>">
					          <img id="captcha-img" class="rounded-2 lazy" role="button" data-src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/captcha.png');?>" title="<?php _e('点击刷新验证码', 'ripro'); ?>" />
					        </div>
					        <?php endif;?>

					        <div class="mb-3 d-sm-flex justify-content-between">
								<div>
									<input id="rememberCheck" type="checkbox" class="form-check-input" name="remember" checked>
									<label class="form-check-label" for="rememberCheck"><?php _e('记住登录状态？', 'ripro'); ?></label>
								</div>
							</div>
							<input type="hidden" name="action" value="zb_user_login">
							
							<?php if (is_site_user_register()):?>
							<p class="mb-3"><?php _e('新用户？', 'ripro'); ?><a class="btn-link text-primary" href="<?php echo esc_url( wp_registration_url() ); ?>"><?php _e('注册账号', 'ripro'); ?></a></p>
							<?php endif;?>

							<!-- Button -->
							<div><button type="submit" id="click-submit" class="btn btn-primary w-100 mb-3"><?php _e('立即登录', 'ripro'); ?></button></div>


					        <?php elseif ($is_reg_action) :?>
							<!-- 注册表表单 -->
							<div class="mb-3">
								<label class="form-label"><?php _e('用户名*', 'ripro'); ?></label>
								<input type="text" class="form-control" name="user_name" placeholder="<?php _e('英文名称', 'ripro'); ?>">
							</div>
							<div class="mb-3">
								<label class="form-label"><?php _e('邮箱*', 'ripro'); ?></label>
								<input type="email" class="form-control" name="user_email" placeholder="<?php _e('邮箱地址', 'ripro'); ?>">
							</div>
							<div class="mb-3">
								<label class="form-label"><?php _e('密码*', 'ripro'); ?></label>
								<input class="form-control" type="password" name="user_password" placeholder="<?php _e('密码', 'ripro'); ?>">
							</div>
							<div class="mb-3">
								<input class="form-control" type="password" name="user_password_ok" placeholder="<?php _e('确认输入密码', 'ripro'); ?>">
							</div>

							<?php if (is_site_invitecode_register()):?>
							<div class="mb-3">
								<label class="form-label"><?php _e('邀请码* ', 'ripro');?><a target="_blank" class="ms-2 small text-danger" href="<?php echo _cao('site_invitecode_get_url');?>"><?php _e('获取邀请码', 'ripro');?></a></label>
								<input type="text" class="form-control" name="invite_code" placeholder="必填">
							</div>
							<?php endif;?>

							<?php if (is_site_img_captcha()):?>
							<div class="input-group mb-3">
					          <input type="text" class="form-control rounded-2" name="captcha_code" placeholder="<?php _e('验证码', 'ripro'); ?>">
					          <img id="captcha-img" class="rounded-2 lazy" role="button" data-src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/captcha.png');?>" title="<?php _e('点击刷新验证码', 'ripro'); ?>" />
					        </div>
					        <?php endif;?>
					        
					        <input type="hidden" name="action" value="zb_user_register">

					        <?php if (is_site_user_login()):?>
					        <p class="mb-3"><?php _e('已有账号？', 'ripro'); ?><a class="btn-link text-primary" href="<?php echo esc_url( wp_login_url()); ?>"><?php _e('登录账号', 'ripro'); ?></a></p>
					        <?php endif;?>

							<!-- Button -->
							<div><button type="submit" id="click-submit" class="btn btn-primary w-100 mb-3"><?php _e('立即注册', 'ripro'); ?></button></div>

					        <?php elseif ($is_lostpwd_action) :?>

					        	<?php
					        	$riresetpass  = wp_unslash(get_param('riresetpass', false, 'get'));
								$rifrp_action = wp_unslash(get_param('rifrp_action', false, 'get'));
								$key          = wp_unslash(get_param('key', false, 'get'));
								$uid          = wp_unslash(get_param('uid', false, 'get'));
								$DataArr      = compact('riresetpass', 'rifrp_action', 'key', 'uid');

								foreach ($DataArr as $key => $value) {
								    $is_riresetpass_from = (!empty($value)) ? true : false;
								}

						        if (!empty($is_riresetpass_from)) :
							        foreach ($DataArr as $key => $value) {
						        		echo '<input type="hidden" name="'.$key.'" value="'.$value.'">';
						        	}?>

							        <p class="mb-3 small text-danger text-center"><?php _e('您正在重新设置账号密码', 'ripro'); ?></p>
									<div class="mb-3">
										<label class="form-label"><?php _e('新密码', 'ripro'); ?></label>
										<input class="form-control" type="password" name="user_password" placeholder="<?php _e('密码', 'ripro'); ?>">
									</div>
									<div class="mb-3">
										<label class="form-label"><?php _e('确认新密码', 'ripro'); ?></label>
										<input class="form-control" type="password" name="user_password_ok" placeholder="<?php _e('确认输入密码', 'ripro'); ?>">
							        	<input type="hidden" name="action" value="zb_user_restpwd">
									</div>
									<div class="input-group mb-3">
							          <input type="text" class="form-control rounded-2" name="captcha_code" placeholder="<?php _e('验证码', 'ripro'); ?>">
							          <img id="captcha-img" class="rounded-2 lazy" role="button" data-src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/captcha.png');?>" title="<?php _e('点击刷新验证码', 'ripro'); ?>" />
							        </div>

							        <?php if (is_site_user_login()):?>
									<p class="mb-3"><?php _e('想起密码？', 'ripro'); ?><a class="btn-link text-primary" href="<?php echo esc_url( wp_login_url()); ?>"><?php _e('登录账号', 'ripro'); ?></a></p>
									<?php endif;?>

									<div><button type="submit" id="click-submit" class="btn btn-danger w-100 mb-3"><?php _e('立即重置密码', 'ripro'); ?></button></div>


						        <?php else:?>
						        <!-- 找回密码表单 -->
								<div class="mb-3">
									<label class="form-label"><?php _e('账号绑定的邮箱*', 'ripro'); ?></label>
									<input type="email" class="form-control" name="user_email" placeholder="<?php _e('邮箱地址', 'ripro'); ?>">
									<input type="hidden" name="action" value="zb_user_lostpwd">
								</div>

								<div class="input-group mb-3">
						          <input type="text" class="form-control rounded-2" name="captcha_code" placeholder="<?php _e('验证码', 'ripro'); ?>">
						          <img id="captcha-img" class="rounded-2 lazy" role="button" data-src="<?php echo esc_url(get_template_directory_uri() . '/assets/img/captcha.png');?>" title="<?php _e('点击刷新验证码', 'ripro'); ?>" />
						        </div>

								<p class="mb-3 small text-danger"><?php _e('重置密码链接会发送到您的邮箱，请通过重置链接修改新密码。', 'ripro'); ?></p>
								<p class="mb-3"><?php _e('想起密码？', 'ripro'); ?><a class="btn-link text-primary" href="<?php echo esc_url( wp_login_url()); ?>"><?php _e('登录账号', 'ripro'); ?></a></p>
								<div><button type="submit" id="click-submit" class="btn btn-danger w-100 mb-3"><?php _e('找回密码', 'ripro'); ?></button></div>
								<?php endif;?>

							<?php endif;?>


							<?php do_action( 'login_footer' );?>

							<!-- oauth mode -->
							<?php if (($is_login_action || $is_reg_action)) :?>
								<?php if (_cao('is_sns_qq',false) || _cao('is_sns_weixin',false)) :?>
								<div class="position-relative my-4">
									<hr>
									<p class="small bg-white position-absolute top-50 start-50 translate-middle px-2"><?php _e('快捷登录/注册', 'ripro'); ?></p>
								</div>
								<div class="d-grid gap-2 d-md-block text-center">
									<?php if (_cao('is_sns_qq',false)) :?>
									<a href="<?php echo get_oauth_permalink('qq');?>" class="btn btn-sm btn-info"><i class="fab fa-qq me-1"></i><?php _e('QQ登录', 'ripro'); ?></a>
									<?php endif;?>
									<?php if (_cao('is_sns_weixin',false)) :?>
									<a href="<?php echo get_oauth_permalink('weixin');?>" class="btn btn-sm btn-success"><i class="fab fa-weixin me-1"></i><?php _e('微信登录', 'ripro'); ?></a>
									<?php endif;?>
								</div>
								<?php endif;?>
							<?php endif;?>

							<!-- Copyright -->
							<p class="mb-0 mt-2 text-center small">
								<small class="text-muted">
									<?php _e('注册&登录即表示同意本站', 'ripro'); ?>
									<a target="_blank" class="btn-link" href="<?php echo _cao('site_user_agreement_href','#');?>"><?php _e('用户协议', 'ripro'); ?></a>、<a target="_blank" class="btn-link" href="<?php echo _cao('site_privacy_href','#');?>"><?php _e('隐私政策', 'ripro'); ?></a>
								</small>
								<br>
								<?php printf('<small class="text-muted">©%s <a target="_blank" href="%s">%s</a> All rights reserved</small>',wp_date('Y', time()),esc_url( home_url() ),get_bloginfo( 'name' ));?>
							</p>
						</form>
						<!-- Form END -->
					</div>
				</div>
			</div>
		</div>
	</div>

</div>
</main>

<?php if ($args['bg_type']!='img') :?>
<script src="<?php echo get_template_directory_uri() . '/assets/js/vantajs/three.min.js';?>" defer></script>
<script src="<?php echo get_template_directory_uri() . '/assets/js/vantajs/vanta.'.$args['bg_type'].'.min.js';?>" defer></script>
<script>
	$(document).ready(function() {
		var vanta = <?php echo json_encode($vanta);?>;
		var effect = VANTA[vanta.fun](vanta.opt);
	});
</script>
<?php endif;?>

<?php wp_footer();?>

</body>
</html>

